### Method

# Gtk EntryCompletionset_model

deprecated: 4.10

#### Declaration [src]

    void
    gtk_entry_completion_set_model (
      GtkEntryCompletion* completion,
      GtkTreeModel* model
    )

#### Description [src]

Sets the model for a `GtkEntryCompletion`.

If `completion` already has a model set, it will remove it before setting the new model. If model is `NULL`, then it will unset the model.

Deprecated since: 4.10

GtkEntryCompletion will be removed in GTK 5.

Sets property | `Gtk.EntryCompletion:model`

#### Parameters

`model`

  Type: `GtkTreeModel`

  The `GtkTreeModel`

  The argument can be `NULL`.
  The data is owned by the caller of the method.